# API v1.0.0 POST /{mailedBy}/{mobo}/shipments  it seems to always return  returns 400 Schema validation failed

**URL:** <https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88>\
**Category:** (New) Developer Portal APIs\
**Created:** [August 20, 2026, 3:54pm UTC](https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88 "2026-08-20T15:54:56Z")\
**Posts on this page:** 4\
**Page:** 1

<div class="post-metadata">

**Author:** ![jrcec](https://avatars.discourse-cdn.com/v4/letter/j/b782af/32.png) [@jrcec](https://forum.developer-developpeur.canadapost-postescanada.ca/u/jrcec)\
**Post date:** [August 20, 2026, 3:54pm UTC](https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88/1 "2026-08-20T15:54:56Z")

</div>

Every `POST` to `.../shipping/v1/{ACCOUNT_NUMBER}/{ACCOUNT_NUMBER}/shipments` returns:  
{“errorCode”:“400”,“errorMessage”:“Schema validation Error”,“errorDescription”:“Schema validation failed”}

The request body has been validated field-by-field against `Shipping-1.0.0.yaml` and all required fields are present and correctly formatted (confirmed against the spec example and a working portal test).

**Suspicion:**  
The portal analytics log for our app shows `plan_version: "8.0.0"` and `product_version: "8.0.0"`. Could the app be subscribed to an old plan whose schema validation policy does not match the current v1.0.0 JSON API?

**Example request body that returns 400:**

```auto
{
  "groupId": "20260820",
  "requestedShippingPoint": "A1A1A1",
  "expectedMailingDate": "2026-08-20",
  "deliverySpec": {
    "serviceCode": "DOM.EP",
    "sender": {
      "name": "SENDER COMPANY INC",
      "company": "SENDER COMPANY INC",
      "contactPhone": "5550000000",
      "addressDetails": {
        "addressLine1": "123 Sender Street",
        "city": "Montreal",
        "provState": "QC",
        "countryCode": "CA",
        "postalZipCode": "A1A1A1"
      }
    },
    "destination": {
      "name": "RECIPIENT NAME",
      "addressDetails": {
        "addressLine1": "456 Dest Avenue",
        "city": "LAVAL",
        "provState": "QC",
        "countryCode": "CA",
        "postalZipCode": "B2B2B2"
      }
    },
    "parcelCharacteristics": { "weight": 0.181 },
    "printPreferences": { "outputFormat": "4x6" },
    "preferences": { "showPackingInstructions": false },
    "references": { "customerRef1": "REF-0001" },
    "settlementInfo": {
      "paidByCustomer": "{ACCOUNT_NUMBER}",
      "contractId": "{CONTRACT_ID}",
      "intendedMethodOfPayment": "Account"
    }
  }
}

```

---

<div class="post-metadata">

**Author:** ![cpc.admin](https://yyz1.discourse-cdn.com/flex029/user_avatar/forum.developer-developpeur.canadapost-postescanada.ca/cpc.admin/32/28_2.png) [@cpc.admin](https://forum.developer-developpeur.canadapost-postescanada.ca/u/cpc.admin)\
**Post date:** [August 20, 2026, 9:07pm UTC](https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88/2 "2026-08-20T21:07:13Z")

</div>

Hi Joseph,

I have replied to your email and sent you the ticket number while our technical team investigate the error.

Many thanks,  
The Developer Portal team

---

<div class="post-metadata">

**Author:** ![MTardyPC](https://avatars.discourse-cdn.com/v4/letter/m/e19adc/32.png) [@MTardyPC](https://forum.developer-developpeur.canadapost-postescanada.ca/u/MTardyPC)\
**Post date:** [August 24, 2026, 3:08pm UTC](https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88/3 "2026-08-24T15:08:49Z")

</div>

Si c’est possible d’envoyer la solution ici car j’ai le même problème; ca éviterais d’envoyer un courriel au support. Donc en attente de réponse ici ou du support.

merci

---

<div class="post-metadata">

**Author:** ![cpc.admin](https://yyz1.discourse-cdn.com/flex029/user_avatar/forum.developer-developpeur.canadapost-postescanada.ca/cpc.admin/32/28_2.png) [@cpc.admin](https://forum.developer-developpeur.canadapost-postescanada.ca/u/cpc.admin)\
**Post date:** [August 24, 2026, 8:41pm UTC](https://forum.developer-developpeur.canadapost-postescanada.ca/t/api-v1-0-0-post-mailedby-mobo-shipments-it-seems-to-always-return-returns-400-schema-validation-failed/88/4 "2026-08-24T20:41:52Z")

</div>

Hi Joseph,

Here’s what our technical team have found:

> The issue I see is in the request Header for Content-Type is incorrect for all the request getting 400 Bad Request.
> 
> It is is expected to be application/json, but I currently see that as “application/json; Charset=UTF-8”.
> 
> This needs to be corrected when sending the request.

Please let us know if this resolves the problem.

Many thanks,  
The Developer Portal team
